server:
  tomcat:
    uri-encoding: utf-8
spring:
  application:
    name: @project.artifactId@
  profiles:
    active: @profiles.active@
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1000MB
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8

  cloud:
    nacos:
      # Nacos 作为注册中心的配置项，对应 NacosDiscoveryProperties 配置类
      discovery:
        server-addr: @profiles.nacos.server-addr@ # Nacos 服务器地址
        group: @profiles.nacos.group@
        namespace: @profiles.nacos.namespace@
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr} # Nacos 服务器地址
        group: ${spring.cloud.nacos.discovery.group}
        namespace: ${spring.cloud.nacos.discovery.namespace} # Nacos 命名空间 dev 的编号
        file-extension: yaml
mybatis:
  root-path: com.mortals
  type-aliases-package: com.mortals.framework.model,com.mortals.xhx.common.**.model,com.mortals.xhx.**.model
  mapper-locations: classpath*:sqlmap/**/*.xml
  config-location: classpath*:config/mybatis-sqlmap-config.xml

application:
  auth:
    unloginUrl: /refresh,/error,/login/login,/login/index,/login/logout,/customer/login/login,/customer/login/logout,/securitycode/createCode,/customer/trial/save,/file/common/*,/file/preview/*,/test*,/api/asset/*,/api/*,/zwfw/*,/ws/*,/swagger-ui*,/topic/*,/uploads/*
    uncheckUrl: /refresh,/error,/login/login,/login/index,/login/logout,/customer/login/login,/customer/login/logout,/securitycode/createCode,/customer/trial/save,/file/common/*,/file/preview/*,/test*,/api/asset/*,/api/*,/zwfw/*,/ws/*,/swagger-ui*,/topic/*,/uploads/*
  workflow:
    tenantId: ${spring.application.name}
cookie:
  ssoServerUrl: http://sso.testnew.com
  key: 026db82420614469897fcc2dc1b4ce38
  domain: base.testnew.com
  port: 111
token:
  head: mortal
